Debian Bug report logs - #417102
FTBFS with GCC 4.3: missing #includes

version graph

Package: arson; Maintainer for arson is (unknown);

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Sun, 1 Apr 2007 15:33:06 UTC

Severity: important

Tags: patch

Found in version arson/0.9.8beta2-4.3

Fixed in version arson/0.9.8beta2-4.4

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Tony Sideris <tonys111@users.sourceforge.net>, Mike Markley <mike@markley.org>:
Bug#417102; Package arson. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to Tony Sideris <tonys111@users.sourceforge.net>, Mike Markley <mike@markley.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Subject: FTBFS with GCC 4.3: missing #includes
Date: Sun, 1 Apr 2007 16:30:55 +0100
Package: arson
Version: 0.9.8beta2-4.3
Usertags: ftbfs-gcc-4.3
Tags: patch

Your package fails to build with GCC 4.3.  Version 4.3 has not been
released yet but I'm building with a snapshot in order to find errors
and give people an advance warning.  In GCC 4.3, the C++ header
dependencies have been cleaned up.  The advantage of this is that
programs will compile faster.  The downside is that you actually
need to directly #include everything you use (but you really should
do this anyway, otherwise your program won't work with any compiler
other than GCC).  Some background of this can be found at
http://gcc.gnu.org/PR28080

You can reproduce this problem with gcc-snapshot from unstable.

> Automatic build of arson_0.9.8beta2-4.3 on coconut0 by sbuild/ia64 0.49
...
> 	ia64-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/include/kde -I/usr/include/qt3 -I.   -DQT_THREAD_SUPPORT  -D_REENTRANT  -pipe -O2 -DNDEBUG -fno-check-new -DOGG -DFLAC  -c -o mp3info.o `test -f mp3info.cpp || echo './'`mp3info.cpp
> mp3info.cpp: In member function 'bool mp3::Tag::find(mp3::byte*)':
> mp3info.cpp:365: error: 'strtoul' was not declared in this scope
> make[4]: *** [mp3info.o] Error 1


--- src/mp3info.cpp~	2007-04-01 15:20:59.000000000 +0000
+++ src/mp3info.cpp	2007-04-01 15:21:16.000000000 +0000
@@ -23,6 +23,8 @@
  *================================================*/
 #include "mp3info.h"
 
+#include <cstdlib>
+
 #ifdef HAVE_CONFIG_H
 #	include "../config.h"
 #	if STDC_HEADERS

-- 
Martin Michlmayr
http://www.cyrius.com/



Severity set to `important' from `normal' Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. (Tue, 29 May 2007 09:30:35 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mike Markley <mike@markley.org>:
Bug#417102; Package arson. Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Mike Markley <mike@markley.org>. Full text and rfc822 format available.

Message #12 received at 417102@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: 417102@bugs.debian.org
Subject: Diff of the NMU
Date: Sun, 13 Jan 2008 12:30:25 +0100
[Message part 1 (text/plain, inline)]
I have done an NMU of arson to fix a long standing issue. Please find
attached the diff of the NMU.

-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net
[arson.NMU.diff (text/x-diff, attachment)]

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 417102-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 417102-close@bugs.debian.org
Subject: Bug#417102: fixed in arson 0.9.8beta2-4.4
Date: Sun, 13 Jan 2008 11:17:04 +0000
Source: arson
Source-Version: 0.9.8beta2-4.4

We believe that the bug you reported is fixed in the latest version of
arson, which is due to be installed in the Debian FTP archive:

arson_0.9.8beta2-4.4.diff.gz
  to pool/main/a/arson/arson_0.9.8beta2-4.4.diff.gz
arson_0.9.8beta2-4.4.dsc
  to pool/main/a/arson/arson_0.9.8beta2-4.4.dsc
arson_0.9.8beta2-4.4_amd64.deb
  to pool/main/a/arson/arson_0.9.8beta2-4.4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 417102@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated arson package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 13 Jan 2008 11:29:04 +0100
Source: arson
Binary: arson
Architecture: source amd64
Version: 0.9.8beta2-4.4
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 arson      - KDE frontend for burning CDs
Closes: 417102
Changes: 
 arson (0.9.8beta2-4.4) unstable; urgency=low
 .
   * Non maintainer upload from the Z├╝rich BSP.
   * Add patch from Martin Michlmayr to fix FTBFS with GCC 4.3 (Closes:
     #417102).
Files: 
 e1fc595b5a2140a75e7c3cbaf303267e 801 otherosfs extra arson_0.9.8beta2-4.4.dsc
 bd10befc095c21f87b09fb0b8396d638 13937 otherosfs extra arson_0.9.8beta2-4.4.diff.gz
 d6a9d8df8ec6f4007e9eda0c7a6d94cc 558756 otherosfs extra arson_0.9.8beta2-4.4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHielqw3ao2vG823MRAgvGAJ9XNukFBydKfjlsAJ5hZ5HWyjoecwCcC/Tt
iXammiizjje53XKEOVNSdbo=
=Eb26
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 03 Apr 2008 07:26:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:23:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.